Subject: Re: Make and javac compliler problem in bash
From: Carl Thompson <[email-masked]>
To: Woody Jin <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Mon, 12 Jun 2000 18:38:15 -0700

Woody Jin wrote:

> ...

> But a better way would be to resolve it within Cygwin.  By default,
> any application that is not in cygwin may be considered as Windows
> native application (WNA). So, when you launch WNAs, cygwin can convert
> the unix style directory to DOS style.  After the conversion, pass the
> converted MS-DOS style path to the WNA. I don't know why you think
> that this is so impossible or so difficult.  It is just  putting the
> gvim's functionality into Cygwin.

I like this idea, but I think this functionality would more properly go into
the BASH patches for Cygwin than in the Cygwin DLL itself.  Since BASH (like
all Unix shells) processes metacharacters in command lines itself before
sending them to the application, this would be an natural fit for that
section of the code.  The only real tricky part would be figuring out how to
allow BASH to figure out whether an application is Cygwin or native Windows
(or is that easy?).

> ...

Carl Thompson

--
Want to unsubscribe from this list?
Send a message to [email-masked]